Subject: RE: AH and flow label

From: "Bound, Jim" <[email-masked]>
Date: Fri, 10 Sep 2004 14:49:32 -0400

Agreed and knew that when I sent it.  Sorry.  I think any field that can
be legitmately altered by a standard set of interoperablity specs should
not be in the ICV.  I can see the add value of authenticating the flow
label but I have concerns over the benefit of that and performance and
change to the implementations.

Why do you think this is important and what problem does it solve?

thanks
/jim 

> -----Original Message-----
> From: Stephen Kent [mailto:[email-masked]] 
> Sent: Friday, September 10, 2004 12:56 PM
> To: Bound, Jim
> Cc: Francis Dupont; [email-masked]
> Subject: RE: AH and flow label
> 
> At 11:37 AM -0400 9/10/04, Bound, Jim wrote:
> >Francis,
> >
> >The flow label should not be part of the ICV because it is 
> permitted to 
> >be rewritable enroute as long as it is delivered in tact E2E.  I say 
> >keep as it is today.  No other comment.
> >
> >Thanks for asking,
> >/jim
> Jim,
> 
> If it is delivered with the same value as when it was sent, 
> then it can be included in the ICV computation. Note that the 
> requirement for inclusion is that a value either be immutable 
> OR be predictable at the receiver. So, what you indicated 
> above would not be a basis for excluding the flow label.
> 
> Steve
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Stephen Kent <[email-masked]>
Date: Fri, 10 Sep 2004 15:54:16 -0400

>Why do you think this is important and what problem does it solve?

I don't necessarily think it is important, but we either have to 
change the processing description or change the rationale for why we 
omit it from the ICV, since the current rationale is wrong.

BTW, I don't think there would be a noticeable performance issue if 
it were included.  Unfortunately, AH is slow because of the need to 
skip over selected fields already, so this is adding to that pain, 
but probably not by much :-)

Steve